using APT.BaseData.Domain.Entities.FM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识人员
    /// </summary>
    [Description("辨识人员")]
    public class T_HM_RISK_RECORD_USER : MesEntityBase
    {
     /// <summary>
        /// 风险记录ID
        /// </summary>
        [Description("危险源/风险辨识记录表")]
        [DataFieldForeignKey("Nav_Record", "Nav_Users")]
        public Guid RECORD_ID { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid USER_ID { get; set; }
        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 区域
        /// </summary>
        [Description("区域")]
        [DataFieldForeignKey("Nav_Area")]
        [FormFieldEdit]
        public Guid AREA_ID { get; set; }
        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：区域")]
        public T_HM_RISK_AREA Nav_Area { get; set; }
        /// <summary>
        /// 处理状态（待处理，已同意）
        /// </summary>
        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]
        [FormFieldEdit]
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }
        /// <summary>
        /// 导航属性：危险源/风险辨识记录表
        /// </summary>
        [Description("导航属性：危险源/风险辨识记录表")]
        public T_HM_RISK_RECORD Nav_Record { get; set; }
        [Description("序号")]
        public int ROW_NO { get; set; }
    }
}
